iOS高德地图SDK(3D) V11.2.0001

Instance Methods | Class Methods | Properties | List of all members
MACustomBuildingOverlayOption Class Reference

`#import <MACustomBuildingOverlay.h>`

Inheritance diagram for MACustomBuildingOverlayOption:

## Instance Methods
(BOOL) | - setOptionWithCoordinates:count:
| 重新设置option范围. Reset the option range More...
Instance Methods inherited from MAMultiPoint
(void) | - getCoordinates:range:
| 将内部的坐标点数据转化为经纬度坐标并拷贝到coords内存中 Convert the internal coordinate point data into latitude and longitude coordinates and copy them to the coords memory More...
Instance Methods inherited from <MAOverlay>
(CLLocationCoordinate2D) | - coordinate
(MAMapRect) | - boundingMapRect
Instance Methods inherited from <MAAnnotation>
(void) | - setCoordinate:
| 设置标注的坐标，在拖拽时会被调用. Set the coordinates of the annotation, which will be called during dragging More...

## Class Methods
(instancetype) | + optionWithCoordinates:count:
| 根据经纬度坐标数据生成楼块显示选项option Generate building block display options based on latitude and longitude coordinate data More...

## Properties
CGFloat | height
CGFloat | heightScale
UIColor * | topColor
UIColor * | sideColor
BOOL | visibile
Properties inherited from MAMultiPoint
MAMapPoint * | points
NSUInteger | pointCount
BOOL | cross180Longitude
Properties inherited from MAShape
NSString * | title
| 标题 Title More...
NSString * | subtitle
| 副标题 Subtitle More...
Properties inherited from MABaseOverlay
CLLocationCoordinate2D | coordinate
MAMapRect | boundingMapRect
double | altitude
Properties inherited from <MAAnnotation>
NSString * | title
NSString * | subtitle
double | altitude

## Additional Inherited Members
Protected Attributes inherited from MAShape
NSString * | _title
| 标题 Title More...
NSString * | _subtitle
| 副标题 Subtitle More...
Protected Attributes inherited from MABaseOverlay
double | _altitude
| 海拔 Elevation More...

## Detailed Description

该类用于定义一个楼块显示选项. since 6.3.0 This class is used to define a building block display option. since 6.3.0

## Method Documentation

## ◆ optionWithCoordinates:count:

+ (instancetype) optionWithCoordinates: |  | (CLLocationCoordinate2D *) | coords
count: |  | (NSUInteger) | count

根据经纬度坐标数据生成楼块显示选项option Generate building block display options based on latitude and longitude coordinate data

Parameters

  coords | 经纬度坐标点数据,coords对应的内存会拷贝,调用者负责该内存的释放 Latitude and longitude coordinate point data, the memory corresponding to coords will be copied, the caller is responsible for releasing this memory
  count | 经纬度坐标点数组个数 Number of latitude and longitude coordinate points array

Returns
  新生成的楼块显示选项option Newly generated building block display option

## ◆ setOptionWithCoordinates:count:

- (BOOL) setOptionWithCoordinates: |  | (CLLocationCoordinate2D *) | coords
count: |  | (NSUInteger) | count

重新设置option范围. Reset the option range

Parameters

  coords | 指定的经纬度坐标点数组, C数组，内部会做copy，调用者负责内存管理 Specified latitude and longitude coordinate points array, C array, internal copy will be made, caller is responsible for memory management
  count | 坐标点的个数 Number of coordinate points

Returns
  是否设置成功 Whether the setup was successful

## Property Documentation

## ◆ height

- (CGFloat) height
| read write nonatomic assign

楼块的高度. 修改该属性会使option范围内的所有楼块为同一个高度. (范围 (-1 U [1, 1000]). 默认-1,显示为默认高度.) The height of the building block. Modifying this property will set all building blocks within the option scope to the same height. (Range (-1 U [1, 1000]). Default -1, displayed as the default height.

## ◆ heightScale

- (CGFloat) heightScale
| read write nonatomic assign

楼块的高度缩放比例. 修改该属性会使option范围内的所有楼块高度放大或者缩小heightScale倍. (默认1. 如果指定了height则此值将被忽略.) The height scaling ratio of the building blocks. Modifying this attribute will scale the height of all building blocks within the option range by a factor of heightScale. (Default is 1. If height is specified, this value will be ignored.)

## ◆ sideColor

- (UIColor*) sideColor
| read write nonatomic strong

楼块的侧面颜色. (默认[UIColor darkGrayColor], 不支持透明度) The side color of the building block. (Default [UIColor darkGrayColor], transparency not supported)

## ◆ topColor

- (UIColor*) topColor
| read write nonatomic strong

楼块的顶面颜色. (默认[UIColor lightGrayColor], 不支持透明度) The top color of the building block. (Default [UIColor lightGrayColor], transparency not supported)

## ◆ visibile

- (BOOL) visibile
| read write nonatomic assign

option选项是否可见. (默认YES) Whether the option is visible. (Default: YES)

The documentation for this class was generated from the following file:

- MACustomBuildingOverlay.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。